Index: org/postgresql/test/jdbc2/DateTest.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/test/jdbc2/DateTest.java,v
retrieving revision 1.14
diff -c -r1.14 DateTest.java
*** org/postgresql/test/jdbc2/DateTest.java	8 Jan 2008 06:56:31 -0000	1.14
--- org/postgresql/test/jdbc2/DateTest.java	28 Feb 2011 10:17:35 -0000
***************
*** 63,69 ****
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'1971-12-15'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'1984-12-03'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'2000-01-01'")));
!         assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'23456-01-01'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'0101-01-01 BC'")));
  
          /* dateTest() contains all of the tests */
--- 63,69 ----
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'1971-12-15'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'1984-12-03'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'2000-01-01'")));
!         assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'3456-01-01'")));
          assertEquals(1, stmt.executeUpdate(TestUtil.insertSQL("testdate", "'0101-01-01 BC'")));
  
          /* dateTest() contains all of the tests */
***************
*** 108,123 ****
          ps.setObject(1, "1934-02-28", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, "1969-04-3", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          ps.setObject(1, "1982-08-03", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, "2012-3-15", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("1912-5-1"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          ps.setObject(1, java.sql.Date.valueOf("1971-12-15"), java.sql.Types.DATE);
--- 108,123 ----
          ps.setObject(1, "1934-02-28", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, "1969-04-03", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          ps.setObject(1, "1982-08-03", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, "2012-03-15", java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("1912-05-01"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          ps.setObject(1, java.sql.Date.valueOf("1971-12-15"), java.sql.Types.DATE);
***************
*** 126,135 ****
          ps.setObject(1, java.sql.Date.valueOf("1984-12-03"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("2000-1-1"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("23456-1-1"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          // We can't use valueOf on BC dates.
--- 126,135 ----
          ps.setObject(1, java.sql.Date.valueOf("1984-12-03"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("2000-01-01"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
!         ps.setObject(1, java.sql.Date.valueOf("3456-01-01"), java.sql.Types.DATE);
          assertEquals(1, ps.executeUpdate());
  
          // We can't use valueOf on BC dates.
***************
*** 240,246 ****
          assertTrue(rs.next());
          d = rs.getDate(1);
          assertNotNull(d);
!         assertEquals(makeDate(23456, 1, 1), d);
  
          assertTrue(rs.next());
          d = rs.getDate(1);
--- 240,246 ----
          assertTrue(rs.next());
          d = rs.getDate(1);
          assertNotNull(d);
!         assertEquals(makeDate(3456, 1, 1), d);
  
          assertTrue(rs.next());
          d = rs.getDate(1);
